  type elt = Uncert.t
  type t = float * float
  let of_num uncert = 
    (Uncert.mean uncert, Uncert.stdev uncert)
  let to_num (m, s) =
    Uncert.make m s
  let rt_sum_sqr x y = sqrt((x *. x) +. (y *. y))
  let scale (m, st) sc = (m *. sc, st *. sc)
  let add (m1, s1) (m2, s2) =
    (m1 +. m2, (rt_sum_sqr s1 s2))
  let sub (m1, s1) (m2, s2) = 
    (m1 -. m2, (rt_sum_sqr s1 s2))
  let mul (m1, s1) (m2, s2) =
    scale 
      (1.0, rt_sum_sqr (s1 /. m1) (s2 /. m2)) 
      (m1 *. m2)
  let div (m1, s1) (m2, s2) =
    scale 
      (1.0, rt_sum_sqr (s1 /. m1) (s2 /. m2)) 
      (m1 /. m2)
  let to_string n = 
    Uncert.to_string (to_num n)
