  type t
  (* Make an uncertain number from mean and stdev *)
  val make:  float -> float -> t
  (* Make an uncertain number from mean and relative uncertainty in
     mean *)
  val make_tol: float -> float -> t
  (* Extract the mean from an uncertain number *)
  val mean:  t -> float
  (* Extract the stdev (ie uncertainty) from an uncertain number *)
  val stdev: t -> float
  (* Convert the number to a string for printing *)
  val to_string: t -> string
