{
  open CalcParse
}

let digit=['0'-'9']
let exponent = ['e' 'E'] ['+' '-'] digit+
let floating = (digit+ '.' digit* | digit* '.' digit+) exponent?

rule token = parse
  | '\n'{  EOL } 
  | floating 
    { (NUMBER (float_of_string (Lexing.lexeme lexbuf)))}
  | ',' {   COMMA }
  | '%' {   PERCENT }
  | '+' {  PLUS }
  | '-' {  MINUS }
  | '*' {  MUL }
  | '/' {  DIV }
  | '(' {  LPAREN }
  | ')' {  RPAREN }
  | _   { token lexbuf }
  | eof { raise End_of_file}
