%{
  let parse_error s = print_endline s; flush stdout
%}

%token EOL
%token LPAREN RPAREN
%token <float> NUMBER
%token COMMA PERCENT
%token PLUS MINUS MUL DIV

%left PLUS MINUS
%left MUL DIV

%start input
%type <unit> input
%%

input: /* empty */ {}
  | input line {} 
;

line:  EOL { }
  | exp EOL 
    { Printf.printf "\t%s\n" (AlgNum.to_string $1);
      flush stdout }
  | error EOL { Printf.printf "Syntax error!\n";
                flush stdout} 
;

exp: NUMBER COMMA NUMBER
      { AlgNum.of_num (Uncert.make $1 $3) }
  | NUMBER COMMA NUMBER PERCENT 
      { AlgNum.of_num (Uncert.make_tol $1 ($3 /. 100.0))}
  | exp PLUS exp  { AlgNum.add $1 $3 }
  | exp MINUS exp { AlgNum.sub $1 $3 }
  | exp MUL exp   { AlgNum.mul $1 $3 }
  | exp DIV exp   { AlgNum.div $1 $3 }
  | LPAREN exp RPAREN { $2 }
;

%%
